#ifndef PAGE_H
#define PAGE_H

#include <QWidget>
#include <QSet>

class Page : public QWidget
{
    Q_OBJECT
public:

    //定义页面底部按钮的的KEY
    enum PAGE_BBTN_KEY
    {
        PAGE_BBTN_APPLY = 0,//应用按钮
        PAGE_BBTN_USER = 10,//页面自定义按钮
    };

    explicit Page(QWidget *parent = nullptr);

    //页面标题
    virtual QString pageTitle() = 0;

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    //红色的底部按钮,底部按钮默认为蓝色
    virtual QList<int> buttomBtnsRed();
    //默认可见的底部按钮
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面都会执行该函数，界面刷新的代码可以放在此函数
    virtual void refreshPage() = 0;

Q_SIGNALS:
    //页面需要返回上一页时，触发
    void backPage();
    //页面标题变化
    void pageTitleChanged(QString text);
    //切换到下一页的信号
    void nextPage(const QString key);
    //切换当前页的信号
    void switchPage(const QString key);
    //底部按钮可见变化的信号
    void buttomBtnVisibleChanged(uint key, bool visible);
};

#endif // PAGE_H
