#ifndef CABLEDETAIL_H
#define CABLEDETAIL_H

#include <QWidget>
#include "netdetailinfo.h"
#include "detailinfo.h"
#include "ipsetting.h"
#include "../baseui/page.h"

namespace Ui {
class CableDetail;
}

class CableDetail : public Page
{
    Q_OBJECT

public:
    explicit CableDetail(QWidget *parent = nullptr);
    ~CableDetail();
    void setWiredInfo(NetworkManager::Device::Ptr,NetworkManager::Connection::Ptr);

public:
    //页面唯一键
    static QString pageKey() {return "cablenetwork_detail";}

    //页面标题
    virtual QString pageTitle() {return tr("Detail Infomation");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked(){ /* */ }

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //刷新界面显示接口
    virtual void refreshPage();

private slots:
    void onactiveConnectionsChanged();

private:
    void initui();
    bool checkactive();
    void Connect();
    void Disconnect();
private:
    Ui::CableDetail *ui;
    DetailInfo * detail{nullptr};
    NetDetailInfo *info{nullptr};
    NetworkManager::Device::Ptr device;
    NetworkManager::Connection::Ptr m_conn;
    IPSetting * ipv4{nullptr};
    IPSetting * ipv6{nullptr};
};

#endif // CABLEDETAIL_H
