#ifndef CABLEITEM_H
#define CABLEITEM_H

#include <QFrame>
#include "netdetailinfo.h"
#include <NetworkManagerQt/WiredDevice>
namespace Ui {
class CableItem;
}

class CableItem : public QFrame
{
    Q_OBJECT

public:
    explicit CableItem(QWidget *parent = nullptr);
    ~CableItem();
    void setDetailInfo(NetDetailInfo*);
    void setWired(NetworkManager::Device::Ptr d,NetworkManager::Connection::Ptr conn);
    NetDetailInfo * getDetailInfo();
    NetworkManager::Device::Ptr getWired();
    NetworkManager::Connection::Ptr getConn();
Q_SIGNALS:
    void DetailInfo(CableItem*);
    void ConnectedChanged();
private slots:
    void onSetClicked();
    void onactiveConnectionsChanged();
    void onConnectUpdated();
private:
    bool checkactive();
private:
    Ui::CableItem *ui;
    NetDetailInfo * info{nullptr};
    NetworkManager::Device::Ptr device;
    NetworkManager::Connection::Ptr m_conn;
};

#endif // CABLEITEM_H
