#ifndef CABLENETWORK_H
#define CABLENETWORK_H

#include <QWidget>
#include <designer/ndewidgetmaterialtoggle.h>
#include "cableitem.h"
#include "cableadd.h"
#include "cabledetail.h"
#include "netdetailinfo.h"
#include "netinterface.h"
#include"../baseui/page.h"

namespace Ui {
class CableNetwork;
}

class CableNetwork : public Page
{
    Q_OBJECT

public:
    explicit CableNetwork(QWidget *parent = nullptr);
    ~CableNetwork();

public:
    //页面唯一键
    static QString pageKey() {return "cablenetwork";}

    //页面标题
    virtual QString pageTitle() {return tr("CableNetwork");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //每次进入该界面需要做的操作
    virtual void refreshPage();

Q_SIGNALS:
    void signalCableDetail(NetworkManager::Device::Ptr,NetworkManager::Connection::Ptr);

private:
    void initui();
    void setitemVisible(bool);
    void clearui();
    void Connect(NetworkManager::Device::Ptr,NetworkManager::Connection::Ptr);
    void Disconnect(NetworkManager::Device::Ptr,NetworkManager::Connection::Ptr);
    bool enable();
private Q_SLOTS:
    void onConnectedChanged();
    void onSwitchOff();
    void onDetailInfo(CableItem*);
    void onnetworkingEnabledChanged(bool);
    void onDeviceAdded(const QString &uni);
    void onConnectionRemoved(const QString &path);

protected:
    virtual void showEvent(QShowEvent *event);

private:
    Ui::CableNetwork *ui;
    NdeWidget::QMaterialToggle * toggle_off;
    QList<CableItem*> itemlist;
    //设备列表
    NetworkManager::Device::List mDevices;
    NetworkManager::Connection::List mConnlist;
};

#endif // CABLENETWORK_H
