#include "cablenetworkstack.h"
#include "cablenetwork.h"
#include "cableadd.h"
#include "cabledetail.h"

CableNetworkStack::CableNetworkStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(CableNetwork::pageKey());
}

Page *CableNetworkStack::createPage(const QString key)
{
    if(key == CableNetwork::pageKey())
    {
        CableNetwork * page = new CableNetwork(this);
        connect(page, &CableNetwork::signalCableDetail,
                this, &CableNetworkStack::slotCableDetail);
        return page;
    }
    else if(key == CableAdd::pageKey())
    {
        CableAdd * page = new CableAdd(this);
        return page;
    }
    else if(key == CableDetail::pageKey())
    {
        CableDetail * page = new CableDetail(this);
        return page;
    }
    return nullptr;
}

void CableNetworkStack::slotCableDetail(NetworkManager::Device::Ptr device, NetworkManager::Connection::Ptr conn)
{
    this->setNextPage(CableDetail::pageKey());
    Page *page = this->getPage(CableDetail::pageKey());
    CableDetail * tmpPage = qobject_cast<CableDetail*>(page);
    if(tmpPage)
    {
        tmpPage->setWiredInfo(device, conn);
    }
}
