#ifndef NETINTERFACE_H
#define NETINTERFACE_H

#include <QObject>
#include <QList>
#include "netdetailinfo.h"
#include <QtNetwork/QNetworkConfiguration>
#include <NetworkManagerQt/WiredDevice>

class NetInterface : public QObject
{
    Q_OBJECT
public:
    explicit NetInterface(QObject *parent = nullptr);
    QList<NetDetailInfo*> getNetList(){
        return netlist;
    }

    static void clearemptyline(QString filepath);
    static void setInterfaceArg(QString path,QString Key,QString value);
    static void deleteInterArg(QString path,QString Key);
    static void setipv4Method(QString name,int method);
    static void cleardns(QString name);
    static void setname(QString name,QString dev_name);
    static void setdns(QString name,QString key,QString dns);
    static void setIPV4(QString name,QString ip,QString mask,QString gateway);
    static void setipv6Method(QString name,int method);
    static void setIPV6(QString name,QString ip,QString mask,QString gateway);
    static void restartserver(QString name);
    static void setenable(QString name,QString flag);
    static void createfile(NetworkManager::Device::Ptr);
signals:

public slots:

private:
    void init();

private:
    QList<NetDetailInfo*> netlist;
};

#endif // NETINTERFACE_H
