#ifndef SCREENMONITOR_H
#define SCREENMONITOR_H

#include <QWidget>
#include <KScreen/Types>
#include <KScreen/ConfigOperation>
#include <KScreen/GetConfigOperation>
#include "monitorpicture.h"
#include "../baseui/page.h"

namespace Ui {
class ScreenMonitor;
}
class QPushButton;
class ScreenMonitor : public Page
{
    Q_OBJECT

public:
    explicit ScreenMonitor(QWidget *parent = nullptr);
    ~ScreenMonitor();

public:
    //页面唯一键
    static QString pageKey() {return "screen";}

    //页面标题
    virtual QString pageTitle() {return tr("Display");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

private:
    void cancelConfiguration();

private Q_SLOTS:
    void loadConfiguration(KScreen::ConfigPtr config);
private:
    void saveConfiguration(KScreen::ConfigPtr config);
    Ui::ScreenMonitor *ui;
    KScreen::ConfigPtr mOldConfig;
    KScreen::ConfigPtr mConfig;
    MonitorPictureWidget *mMonitorPictureWidget;
};

#endif // SCREENMONITOR_H
