#ifndef XRANDRBRIGHTNESS_H
#define XRANDRBRIGHTNESS_H

#include <xcb/xcb.h>
#include <xcb/randr.h>

#include <QScopedPointer>
#include <QList>
#include <KScreen/Output>

template <typename T> using ScopedCPointer = QScopedPointer<T, QScopedPointerPodDeleter>;

class XRandrBrightness
{
public:
    XRandrBrightness();
    ~XRandrBrightness() = default;
    float gamma_brightness_get();
    void gamma_brightness_set(float percent);
    bool canBrightness();
    void setOutput(const KScreen::OutputPtr &output);
private:
    xcb_atom_t m_backlight = XCB_ATOM_NONE;
    ScopedCPointer<xcb_randr_get_screen_resources_current_reply_t> m_resources;
    KScreen::OutputPtr kScreenOutput;
};

#endif // XRANDRBRIGHTNESS_H

