#ifndef CATEGORIZEDMODEL_H
#define CATEGORIZEDMODEL_H

#include <QStandardItemModel>
#include "categorizedmodelitem.h"

#include <PluginInfo>

enum {
    RowHeight = Qt::UserRole
};

class CategorizedModel : public QStandardItemModel
{
    Q_OBJECT
public:
    explicit CategorizedModel(const QStringList & desktopDirs, QObject *parent = nullptr);
    void initModel();

    QStandardItem * SelectItem(QString category);
    QVariant data(const QModelIndex& index, int role) const;

    bool pluginVisible(const QString pluginID );
    bool pluginEnable(const QString pluginID );
signals:
//    void childItemAdded(const QString &id,int status);

private:
//    QString getSystemSettingsPath();
    QString getUserIconPath();
    void updateUserIcon();
private:
    QSettings * mSettings;
    Nde::PluginInfoList mPluginList;
    bool hasBattery{false};
    bool hasLid{false};

    bool m_bHasWlan;
    bool m_bHasBluetooth;
    QString OSVersion;
    CategorizedModelItem *m_userItem;
};

#endif // CATEGORIZEDMODEL_H
