#include "categorizedtreeview.h"
#include "categorizeditemdelegate.h"
#include <XdgDirs>
#include <QDebug>

CategorizedTreeView::CategorizedTreeView(QWidget *parent):
    QTreeView(parent)
{
    setExpandsOnDoubleClick(false);
    setEditTriggers(QAbstractItemView::NoEditTriggers);
    setAnimated(true);
    setHeaderHidden(true);
    setItemDelegate(new CategorizedItemDelegate(this));
    this->setRootIsDecorated(false);
    this->setIndentation(0);
    this->setContentsMargins(0, 0, 0, 0);
    this->setStyleSheet("QTreeView{border:none;background: #f0f1f2;}"
                        "QScrollBar:vertical{background: #f0f1f2;width: 6px;margin: 0px;border-radius: 3px;}"
                        "QScrollBar::handle:vertical {background: #d7d8da;border-radius: 3px;}"
                        "QScrollBar::add-line:vertical {background: #f0f1f2;height: 0px;border-radius: 3px;}"
                        "QScrollBar::sub-line:vertical {background: #f0f1f2;height: 0px;border-radius: 3px;}");
}
