#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "settingspluginlibrary.h"
class CategorizedModel;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface","com.nde.systemsettings")
public:
    explicit MainWindow(const QString module, QWidget *parent = nullptr);
    ~MainWindow();
    void setCurrentItem(const QString &id);
public slots:
    void wshow();
private slots:
    void addItem(const QString &id,const int &status);
    void itemClicked(const QModelIndex &index);
    void onScreenGeometryChanged(const QRect &geometry);
private:
    bool loadPage(const QString &id, const QString &libraryName,const int &status);


    Ui::MainWindow *ui;
    CategorizedModel* model_;
    QHash<QString,  StackPage*> mPluginPageHash;
};

#endif // MAINWINDOW_H
