#ifndef RENAMEHOST_H
#define RENAMEHOST_H

#include <QWidget>
#include "../baseui/page.h"

class MessageWidget;

namespace Ui {
class RenameHost;
}

class RenameHost : public Page
{
    Q_OBJECT
public:
    explicit RenameHost(QWidget *parent = nullptr);
    ~RenameHost();

public:
    //页面唯一键
    static QString pageKey() {return "systeminfo_renamehost";}

    //页面标题
    virtual QString pageTitle() {return tr("Change Host Name");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

protected:
    void mousePressEvent (QMouseEvent *);
    void resizeEvent(QResizeEvent* event);

private:
    Ui::RenameHost *ui;
    MessageWidget *messageW_;
};

#endif // RENAMEHOST_H
