#include "systeminfo.h"
#include "ui_systeminfo.h"
#include "systeminfomanager.h"
#include <QFile>
#include <QDBusConnection>
#include <QDBusInterface>
#include <QDebug>
#include "../baseui/common.h"

#define CONFIG "/etc/nde/nde-systemsettings.conf"

SystemInfo::SystemInfo(QWidget *parent) :
    Page(parent),
    ui(new Ui::SystemInfo)
{
    ui->setupUi(this);

    QFile f(":/qss/systeminfo.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }

    mSysMgr = SystemInfoManager::getIns();

    initUI();
}

SystemInfo::~SystemInfo()
{
    delete ui;
}

void SystemInfo::refreshPage()
{
    //do somethings
}

void SystemInfo::onActivation()
{
}

void SystemInfo::onSystemUpdate()
{
}

void SystemInfo::initUI()
{
    //system information

    ui->label_cpu_content->setText(mSysMgr->getSystemInfo("cpuInfo"));
    ui->label_mem_content->setText(mSysMgr->getSystemInfo("meminfo"));
    QString rootSize = mSysMgr->getSystemInfo("rootSize");
    QString rootFree = mSysMgr->getSystemInfo("rootFree");
    if(rootSize.isEmpty())
    {
        ui->label_root->hide();
        ui->label_root_content->hide();
    }
    else {
        QString tmp = tr("Free:%1/Full:%2").arg(rootFree).arg(rootSize);
        ui->label_root_content->setText(tmp);
    }
    QString homeSize = mSysMgr->getSystemInfo("homeSize");
    QString homeFree = mSysMgr->getSystemInfo("homeFree");
    if(homeSize.isEmpty())
    {
        ui->label_home->hide();
        ui->label_home_content->hide();
    }
    else {
        QString tmp = tr("Free:%1/Full:%2").arg(homeFree).arg(homeSize);
        ui->label_home_content->setText(tmp);
    }

}

void SystemInfo::onRenameHost()
{
    Q_EMIT nextPage(RenameHost::pageKey());
}

void SystemInfo::onVirtualMemory()
{
    Q_EMIT nextPage(VirtualMemory::pageKey());
}

void SystemInfo::onHostnameChange(QString hostname)
{

}

void SystemInfo::onHaveUpdate(bool have)
{
    m_label_systemupdate_symbol->setVisible(have);
}

void SystemInfo::onSystemReinforcementToggle(bool checked)
{
    QDBusInterface* interface = new QDBusInterface(QString::fromLatin1("com.nde.chattr"),
                                                 QString::fromLatin1("/ndeChattr"),
                                                 QString::fromLatin1("com.nde.chattr"),
                                                 QDBusConnection::systemBus());
    interface->call("setSystemChattr", checked);
    delete interface;
}


void SystemInfo::onLicenseActiveChanged(QString version)
{
    if(version.compare("ZTE",Qt::CaseInsensitive) == 0)
    {

    }
    else if(version.compare("bussniess",Qt::CaseInsensitive) == 0)
    {

    }
    else if(version.compare("peosonal",Qt::CaseInsensitive) == 0)
    {

    }
    else
    {

    }

    QString productVersion = mSysMgr->getSystemInfo("productFullVersion");
    if(version != "")
    {


        if(version.compare("community") == 0 )
        {

        }
        else if(version.compare("peosonal") == 0 )
        {

        }
        else if(version.compare("bussniess") == 0 )
        {

        }

    }
    else
    {


    }
}
