#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <QWidget>
#include <QDBusInterface>
#include <QMovie>
#include <QNetworkReply>
#include <designer/ndewidgetmaterialtoggle.h>
#include <QHostInfo>
#include <QProcess>
#include "../baseui/page.h"
#include "renamehost/renamehost.h"
#include "virtualmemory/virtualmemory.h"

class SystemInfoManager;

namespace Ui {
class SystemInfo;
}

class SystemInfo : public Page
{
    Q_OBJECT

public:
    explicit SystemInfo(QWidget *parent = nullptr);
    ~SystemInfo();

public:
    //页面唯一键
    static QString pageKey() {return "systeminfo";}

    //页面标题
    virtual QString pageTitle() {return tr("System Info");}

    //应用按钮按下的接口
    virtual void applyBtnClicked() { /* */ }

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked(){ /* */ }

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key) { Q_UNUSED(key) }

    //刷新界面显示接口
    virtual void refreshPage();

public Q_SLOTS:
    void onHostnameChange(QString hostname);
	
private Q_SLOTS:
    void onSystemUpdate();
    void onHaveUpdate(bool have);

    void onSystemReinforcementToggle(bool checked);

    void onRenameHost();
    void onVirtualMemory();
    void onActivation();
    void onLicenseActiveChanged(QString version);

private:
    void initUI();

private:
    Ui::SystemInfo *ui;
    SystemInfoManager * mSysMgr;
    //加固开关
    NdeWidget::QMaterialToggle * _systemReinforcementToggle;

private:
    QLabel * m_label_systemupdate_symbol;
    QLabel * m_label_active_state;
};

#endif // SYSTEMINFO_H
