#ifndef VIRTUALMEMORY_H
#define VIRTUALMEMORY_H

#include <QWidget>
#include "../baseui/page.h"
#include <designer/ndewidgetmaterialtoggle.h>
#include <qstorageinfo.h>
#include <QTextStream>
#include <QProcess>
#include <QDebug>
#include <QRegExpValidator>
#include <QMessageBox>


#define VIRTUAL_MEMORY_FILE_NAME "/var/swapfile"
#define VIRTUAL_MEMORY_AUTOMATIC_MOUNT_CONFIGURATION "/etc/fstab"

class MessageWidget;

namespace Ui {
class VirtualMemory;
}

class VirtualMemory : public Page
{
    Q_OBJECT

public:
    explicit VirtualMemory(QWidget *parent = nullptr);
    ~VirtualMemory();

public:
    //页面唯一键
    static QString pageKey() {return "systeminfo_virtualmemory";}

    //页面标题
    virtual QString pageTitle() {return tr("Virtual Memory");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();


    bool enableVirtualMemory();
    bool disableVirtualMemory();
    void informationTips();
    void message(bool direction ,QString message);
public Q_SLOTS:
    void onSystemVirtualMemorySwitchToggle(bool checked);
public:
    enum VirtualMemoryApplyResult{
        STARTSUCCESSFUL,                 //启动成功
        CLOSESUCCESSFUL,                 //关闭成功
        SWAPONFAIL,                 //启动分区失败
        FALLOCATEFAIL,              //创建分区文件失败
        INSUFFICIENTDISKSPACE,       //磁盘空间不足
        INVALIDVALUES               //设置值无效
    }mVirtualMemoryResult;
private:
    Ui::VirtualMemory *ui;
    NdeWidget::QMaterialToggle * _systemVirtualMemorySwitchToggle;
     MessageWidget *messageW_;
    bool mVirtualMemorySWitchState;

};

#endif // VIRTUALMEMORY_H
