#include "systemsettings.h"
#include "systemsettingsadaptor.h"
#include <QFile>
#include <QTimer>
static QString HOME_DIR = "/home";
static int SIZE = 1024 * 1024 * 150;
SystemSettings::SystemSettings(QObject *parent) : QObject(parent), timer(new QTimer (this))
{
    new SystemsettingsAdaptor (this);
    if (!QDBusConnection::systemBus().isConnected()) {
        qWarning() << "Cannot connect to the D-Bus session bus.";
    }

    if (!QDBusConnection::systemBus().registerService(QStringLiteral("com.nde.systemsettings"))) {
        qWarning() << QDBusConnection::systemBus().lastError().message();
    }
    QDBusConnection::systemBus().registerObject(QStringLiteral("/SystemSettings"), QStringLiteral("com.nde.systemsettings"), this);

    timer->setInterval(1000  * 60 * 60 * 24);
    connect(timer, &QTimer::timeout, this, &SystemSettings::watchXsessionError);
    timer->start();
    watchXsessionError();
}

bool SystemSettings::getAutoClean()
{

}

QStringList SystemSettings::getCleanList()
{

}

void SystemSettings::setAutoClean(bool opened)
{

}

void SystemSettings::setCleanList(const QStringList &logList)
{

}

void SystemSettings::watchXsessionError()
{
    QDir dir(HOME_DIR);
    QStringList homeDir = dir.entryList(QDir::AllDirs | QDir::NoDotAndDotDot);
    for(QString home : homeDir) {
        QString xsessionPath = HOME_DIR + QDir::separator() + home + "/.xsession-errors";
        if(QFile::exists(xsessionPath)) {
            QFile xsession(xsessionPath);
            if(xsession.size() > SIZE)
                xsession.resize(0);
            break;
        }
    }

}
