#ifndef NEWWIFIWIDGET_H
#define NEWWIFIWIDGET_H

#include <QWidget>
#include "../baseui/page.h"

namespace Ui {
class NewWifiWidget;
}

class NewWifiWidget : public Page
{
    Q_OBJECT

public:
    explicit NewWifiWidget(QWidget *parent = nullptr);
    ~NewWifiWidget();
    void initUi(QString uni);

public:
    //页面唯一键
    static QString pageKey() {return "wifi_new";}

    //页面标题
    virtual QString pageTitle() {return tr("Add New WIFI");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onComboIndexChanged(int index);
    void onPasswordTextChanged(const QString& text);

private:
    Ui::NewWifiWidget *ui;
    QString m_device;
};

#endif // NEWWIFIWIDGET_H
