#ifndef NMCONFIG_H
#define NMCONFIG_H

#include <QObject>
#include <QHostAddress>
#include <nde/Nde/Settings>
#include "qblowfish/qblowfish.h"
#include <QDBusInterface>

class NMConfig : public QObject
{
    Q_OBJECT
private:
    explicit NMConfig(QObject *parent = nullptr);

public:
//    typedef struct IPSetting
//    {
//        int method;
//        QHostAddress addr;
//        QHostAddress mask;
//        QHostAddress getway;
//        QHostAddress dns1;
//        QHostAddress dns2;
//    }IPSetting;
    static NMConfig * global();

    void removeWiFIPasswd(const QString connName);
    QString readWIFIPasswd(const QString connName);
    void saveWIFIPasswd(const QString connName, const QString passwd);
    void notifyMsg(QList<QVariant> args);

private slots:
    void onSettingsChanged();

private:
    QBlowfish * m_bf; //加密解密工具
    Nde::Settings * m_settings;
    QDBusInterface *m_interface;
};

#endif // NMCONFIG_H
