#ifndef WIFIINFOWIDGET_H
#define WIFIINFOWIDGET_H

#include <QWidget>
#include "wifilistwidgetitem.h"
#include "../baseui/page.h"

namespace Ui {
class WifiInfoWidget;
}

class WifiInfoWidget : public Page
{
    Q_OBJECT

public:
    explicit WifiInfoWidget(QWidget *parent = nullptr);
    ~WifiInfoWidget();

    void initInfo(QString uni, QString ssid);

public:
    //页面唯一键
    static QString pageKey() {return "wifi_detail";}

    //页面标题
    virtual QString pageTitle() {return tr("WIFI Infomation");}

    //应用按钮按下的接口
    virtual void applyBtnClicked();

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair();
    virtual QList<int> buttomBtnsVisible();
    //底部按钮按下事件响应的接口
    virtual void buttomBtnClicked(const int key);

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onIPV4MethodIndexChanged(int index);
    void onIPV6MethodIndexChanged(int index);
    void onIPV6Textchanged(const QString &text);

private:
    int netmask_str2len(QString mask);
    QString len2netmask_str(int len);
    void creatNewConnection();
    void clear();
private:
    Ui::WifiInfoWidget *ui;
    QString m_device;
    QString m_ssid;
};

#endif // WIFIINFOWIDGET_H
