#include "wlanstack.h"
#include "wlan.h"
#include "newwifiwidget.h"
#include "wifiinfowidget.h"

WlanStack::WlanStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(WLan::pageKey());
}

Page *WlanStack::createPage(const QString key)
{
    if(key == WLan::pageKey())
    {
        WLan * page = new WLan(this);
        connect(page, &WLan::signalAddWifi, this, &WlanStack::slotAddWifi);
        connect(page, &WLan::signalEditWifi, this, &WlanStack::slotEditWifi);
        return page;
    }
    else if(key == NewWifiWidget::pageKey())
    {
        NewWifiWidget * page = new NewWifiWidget(this);
        return page;
    }
    else if(key == WifiInfoWidget::pageKey())
    {
        WifiInfoWidget * page = new WifiInfoWidget(this);
        return page;
    }
    return nullptr;
}

void WlanStack::slotAddWifi(const QString deviceName)
{
    this->setNextPage(NewWifiWidget::pageKey());
    Page *page = this->getPage(NewWifiWidget::pageKey());
    NewWifiWidget * tmpPage = qobject_cast<NewWifiWidget*>(page);
    if(tmpPage)
    {
        tmpPage->initUi(deviceName);
    }
}

void WlanStack::slotEditWifi(QString uni, QString ssid)
{
    this->setNextPage(WifiInfoWidget::pageKey());
    Page *page = this->getPage(WifiInfoWidget::pageKey());
    WifiInfoWidget * tmpPage = qobject_cast<WifiInfoWidget*>(page);
    if(tmpPage)
    {
        tmpPage->initInfo(uni, ssid);
    }
}
